local mod = RW:Boss("Ignis the Furnace Master", "Ulduar", "Ulduar")
local L

---------------------------
-- Variables
local tFlameJetCD, tFlameJetCast, wFlameJet
local tScorchCD
local tSlagPotDur
local iStorm
local tBerserk

---------------------------
-- Init

function mod:OnRegister()
	L = mod:RegisterLocale(self:GetName(), "enUS", true)
	if L then
		L.name = "Ignis the Furnace Master"
		
		L.YellPull = "Insolent whelps! Your blood will temper the weapons used to reclaim this world!"
		L.YellDeath = "I. Have. Failed."
		end

	L = mod:GetLocale()
	self.L = L
	
	self:SetTrigger(L.YellPull, 33118)
	self:SetWin(L.YellDeath, 33118)

	tFlameJetCD, tFlameJetCast, wFlameJet = self:CDTimer(32.3, 63472), self:CastTimer(63472), self:CastWarning(63472)
	tScorchCD = self:CDTimer(25, 63473, nil, nil, false)
	tSlagPotDur = self:DurTargetTimer(10, 63477, nil, nil, false)
end

---------------------------
-- Locals


---------------------------
-- Start

function mod:OnEngage(trigger)
	self:Track("FlameJet", 62680, 63472)
	self:Track("Scorch", 62548, 63474)
	self:Track("SlagPot", 62717, 63477)

end

function mod:FlameJet(event, args)
	if event == "SPELL_CAST_START" then
	 	tFlameJetCast:Start()
		wFlameJet:Show()
		tFlameJetCD:Schedule(2.7)
	end
end

function mod:Scorch(event, args)
	if event == "SPELL_CAST_SUCCESS" then
		tScorchCD:Start()
	end
end

function mod:SlagPot(event, args)
	if event == "SPELL_AURA_APPLIED" then
		if args:IsPlayer() then
			SendChatMessage("It burns! It burns us!", "SAY")
		end
		tSlagPotDur:Start(args.dName)
	end
end	